Add internal note

POST
/v1/conversations/{conversationId}/notes

Create an internal note in a conversation by providing the conversation id.

Authorization

ApiKeyAuth conversation.reply
headerAuthorization<token>

Scope: conversation.reply

Path Parameters

conversationId*integer
Formatint64

Request Body

The internal note to create for a conversation

application/json
  1. body
message*string
agentId?string
Formatuuid
createdAt?string
Formatdate-time

Response Body

The created internal note

application/json
  1. response
data*
curl -X POST 'https://dev.dixa.io/v1/conversations/{conversationId}/notes' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "message": "A sample note",  "agentId": "a53b25da-f676-4c52-acac-58c9280aa23d",  "createdAt": "2021-12-01T12:46:36.581Z[GMT]"}'
{
"data": {
"id": "eb31acbb-13f9-4ce7-abd3-44dd86266741",
"authorId": "5e8a300e-787e-47cd-af53-fc1ccc37933d",
"createdAt": "2021-12-01T12:46:36.581Z[GMT]",
"csid": 9456,
"message": "A sample note"
}
}